Extended Fields - Bug #2349

Redmine Bulk edit doesn’t work when extended_field plugin is installed
11 Nov 2014 05:58 - Miluka De Silva

Status: Open Start date: 11 Nov 2014
Priority: Critical Due date:

Assignee: Andriy Lesyuk % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2.4

Redmine version: External issue:

Description

I’'m new to to ruby and redmine. When i use newest version of extened_fields plugin in redmine 2.4.6 it gives me this error
Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.
My error log shows

ActionView: :Template: :Error (wrong number of arguments (4 for 3)):

93: <% (@custom_fields.each do |custom_field]| >

94: <p>

95: <label><= h(custom_field.name) ></label>

96: <= custom_field_tag_for_bulk_edit ('issue', custom_field, @projects, (@issue_params[:custom_fiel
d_values] [custom_field.id.to_s]) >

97: </p>
98: < end %>
993

app/views/issues/bulk_edit.html.erb:96:in "block (2 levels) in app_views_issues_bulk_edit_html_erb
_ 1466857573327355685_70119411110820"

app/views/issues/bulk_edit.html.erb:93:in “block in app_views_issues_bulk_edit_html_erb_ 146685757
3327355685_70119411110820"

app/views/issues/bulk_edit.html.erb:25:in ' _app_views_issues_bulk_edit_html_erb_ 1466857573327355
685_70119411110820"

Can anybody please help me with this issue.

History

#1 - 15 Dec 2014 08:00 - Andriy Lesyuk
- Status changed from New to Open
- Assignee set to Andriy Lesyuk

- Target version set to 0.2.4

#2 - 16 Dec 2014 09:48 - Olivier Houdas

For info, We're using Redmine 2.6.0 and Extended fields 0.2.3, and bulk editing works for us.
It might be due to a specific configuration of the display of the list, or to editing a specific field, rather than due to the version of the plugin or of
Redmine.

#3 - 01 Dec 2017 12:23 - Andriy Lesyuk
- Description updated
